ldap_first_attribute
ldap_first_reference
LDAP Functions
PHP Manual

# ldap_first_entry

Return first result id

### Description

resource ldap_first_entry ( resource `$link_identifier` , resource `$result_identifier` )

Returns the entry identifier for first entry in the result. This entry identifier is then supplied to ldap_next_entry routine to get successive entries from the result.

Entries in the LDAP result are read sequentially using the ldap_first_entry and ldap_next_entry functions.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect.

`result_identifier`

### Return Values

Returns the result entry identifier for the first entry on success and `FALSE` on error.

### See Also

- ldap_get_entries